//---------------------------------------------------------------------------//
// Import
//---------------------------------------------------------------------------//

import PT from '../PT';
import Util from '../utils';

//---------------------------------------------------------------------------//

const topologyApi = new PT.Netcon_Sdk.TopologyApi();

const getPhysicalTopology = (dispatch) => {
    topologyApi.getPhysicalTopology((err, item, res) => {
        Util.responseHandler(err, item, res, dispatch, ()=>{
            let result = JSON.parse(res.text);
            dispatch({
                type: 'TOPOLOGY_FETCH',
                payload: {
                    topology: result.response
                }
            });
        });

    });
};

//---------------------------------------------------------------------------//
// Export
//---------------------------------------------------------------------------//

export default { 
    getPhysicalTopology
};

//---------------------------------------------------------------------------//