//---------------------------------------------------------------------------//
// Import
//---------------------------------------------------------------------------//

import React from 'react';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faSpinner } from '@fortawesome/free-solid-svg-icons';
import { library } from '@fortawesome/fontawesome-svg-core';

//---------------------------------------------------------------------------//

library.add(faSpinner);

//---------------------------------------------------------------------------//
// Component
//---------------------------------------------------------------------------//

const Component = (props) => {
    return (
        <div
            style={{
                display: 'flex',
                alignItems:'center',
                justifyContent:'center',
                height: '80vh',
            }}
        >
            <FontAwesomeIcon 
                icon='spinner' 
                spin size='5x' 
                fixedWidth 
                style={{
                    color: '#1e4471'
                }}    
            />
        </div>
    );
}

//---------------------------------------------------------------------------//
// Export
//---------------------------------------------------------------------------//

export default Component;

//---------------------------------------------------------------------------//