
const initialState = {
    networkHealth: [],
    allNetworkIssues: []
};

const reducer = (state = initialState, action) => {

    const newState = {...state}

    switch (action.type) {

        case 'ASSURANCE_SET_NETWORK_HEALTH': {
            return {
                ...state, 
                networkHealth: action.payload.networkHealth
            }
        }

        case 'ASSURANCE_SET_NETWORK_ISSUES': {
            return {
                ...state, 
                allNetworkIssues: action.payload.allNetworkIssues
            }
        }

        default: {
            return newState;
        }
    }
};

export default reducer;
