
const initialState = {
    healthyClient: 0,
    healthyNetworkDevice: 0,
    numApplicationPolicies: 0,
    numLicensedRouters: 0,
    numLicensedSwitches: 0,
    numNetworkDevices: 0,
    numUnreachable: 0,
};

const reducer = (state = initialState, action) => {
    switch (action.type) {

        case 'DASHBOARD_SET_STATE': {
            return {
                ...state, 
                ...action.payload
            }
        }

        default: {
            return state;
        }
    }
};

export default reducer;
