//---------------------------------------------------------------------------//
// Import
//---------------------------------------------------------------------------//

import { combineReducers } from "redux";
import message from "./message";
import banner from "./banner";
import users from "./users";
import inventory from "./inventory";
import hosts from "./hosts";
import setting from "./setting";
import discovery from "./discovery";
import clis from "./clis";
import pathtrace from "./pathtrace";
import app from "./app";
import assurance from "./assurance";
import topology from "./topology";
import qos from "./qos";
import dashboard from "./dashboard";

//---------------------------------------------------------------------------//
// Export
//---------------------------------------------------------------------------//

export default combineReducers({
    app,
    message,
    banner,
    users,
    inventory,
    hosts,
    setting,
    discovery,
    clis,
    pathtrace,
    assurance,
    topology,
    qos,
    dashboard
});
    
//---------------------------------------------------------------------------//