
import _ from 'lodash';

const initialState = [];

const reducer = (state = initialState, action) => {
    switch (action.type) {

        case 'INVENTORY_FETCH': {
            return action.payload.list
        }

        case 'INVENTORY_ADD_DEVICE': {
            return [
                ...state, {
                    hostIp: '9999999'
                }
            ];
        }
        
        case 'INVENTORY_REMOVE_DEVICE': {
            let result = [...state];
            result.pop();
            return result;
        }

        case 'INVENTORY_EDIT_DEVICE': {
            let result = [...state];
            let device = action.payload.device;

            _.forEach(result, (item, index) => {
                if(item.id === device.id){
                    result[index] = {...device};
                }
            });

            return result;
        }

        default: {
            return state;
        }
    }
};

export default reducer;
