//---------------------------------------------------------------------------//
// Import
//---------------------------------------------------------------------------//

import React from 'react';
import Grid from '@material-ui/core/Grid';
import Node from './Node';
import Link from './Link';
import _ from 'lodash';

//---------------------------------------------------------------------------//
// Component
//---------------------------------------------------------------------------//

const Component = (props) => {

    if(_.isEmpty(props.state.topology.detail)){
        return null;
    }else if(props.state.topology.detail.viewType==='node'){
        return(
            <Grid item lg={6} md={6}>
                <Node {...props} />
            </Grid>
        );
    }
    else{
        return(
            <Grid item lg={6} md={6}>
                <Link {...props} />
            </Grid>
        );
    }
};

//---------------------------------------------------------------------------//
// Export
//---------------------------------------------------------------------------//

export default Component;

//---------------------------------------------------------------------------//