//---------------------------------------------------------------------------//
// Import
//---------------------------------------------------------------------------//

import PT from '../PT';
import Util from '../utils';

//---------------------------------------------------------------------------//

const dashboardApi = new PT.Netcon_Sdk.DashboardApi();

const getSiteHealth = (dispatch) => {
    dashboardApi.getSiteHealth((err, item, res) => {
        Util.responseHandler(err, item, res, dispatch, ()=>{
            let result = JSON.parse(res.text);
            if(result){
                dispatch({
                    type: 'DASHBOARD_SET_STATE',
                    payload: { ...result }
                });
            }
        });
    });
};

//---------------------------------------------------------------------------//
// Export
//---------------------------------------------------------------------------//

export default { 
    getSiteHealth
};

//---------------------------------------------------------------------------//