//---------------------------------------------------------------------------//
// Import
//---------------------------------------------------------------------------//

import { toast } from 'react-toastify';
import 'react-toastify/dist/ReactToastify.css';

//---------------------------------------------------------------------------//

const error = (msg) => {
    
    toast.configure({
        autoClose: 4000,
        draggable: false,
    });

    toast.error(msg, {
        position: toast.POSITION.TOP_CENTER
    });
};

const success = (msg) => {
    toast.configure({
        autoClose: 2000,
        draggable: false,
    });

    toast.success(msg, {
        position: toast.POSITION.BOTTOM_CENTER
    });
};

//---------------------------------------------------------------------------//
// Export
//---------------------------------------------------------------------------//

export default { error, success };

//---------------------------------------------------------------------------//