
const initialState = {
    show: false,
    message: '',
    type: ''
};

const reducer = (state = initialState, action) => {

    switch (action.type) {

        case 'BANNER_HIDE': {
            return {
                ...state, 
                show: false 
            }
        }

        case 'BANNER_MESSAGE': {
            return {
                ...state, 
                show: true,
                type: action.payload.type,
                message: action.payload.message,
            }
        }

        default: {
            return state;
        }
    }
};

export default reducer;
