
const initialState = {
    list: [],
    detail: {},
    selected: ''
};

const reducer = (state = initialState, action) => {
    switch (action.type) {

        case 'PATHTRACE_FETCH_ALL': {
            return {
                ...state, 
                list: action.payload.list
            };
        }

        case 'PATHTRACE_DETAIL': {
            return {
                ...state, 
                detail: action.payload.detail
            };
        }

        default: {
            return state;
        }
    }
};

export default reducer;
